﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using DlhSoft.Windows.Controls.Pert;
using System.ComponentModel;

namespace NetworkDiagramViewShapeTemplatingSample
{
    public class CustomNetworkDiagramItem : NetworkDiagramItem, INotifyPropertyChanged
    {
        private DateTime actualStart = DateTime.Today;
        public DateTime ActualStart
        {
            get { return actualStart; }
            set
            {
                if (value > ActualFinish)
                    ActualFinish = value;
                actualStart = value;
                OnPropertyChanged("ActualStart");
            }
        }

        private DateTime actualFinish = DateTime.Today;
        public DateTime ActualFinish
        {
            get { return actualFinish; }
            set
            {
                if (value < ActualStart)
                    ActualStart = value;
                actualFinish = value;
                OnPropertyChanged("ActualFinish");
            }
        }
    }
}
